Bug 40315 - App Center scope has been removed during the release upgrade
App Center scope has been removed during the release upgrade
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.1-1-errata
Assigned To: Dirk Wiesenthal
Stefan Gohmann
:
: 40507 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 09:20 CET by Stefan Gohmann
Modified: 2016-02-24 13:06 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-12-21 09:20:05 CET
The test case /usr/share/ucs-test/80_docker/62_app_update_available shows the following problem:

During the upgrade from UCS 4.1-0errata0 to 4.1-0errata36 (including the test errata scope) in the Docker App container, the app center scope has been removed:

2015-12-21 03:04:49: set security/packetfilter/package/univention-base-files/tcp/22/all/en=SSH old:SSH
2015-12-21 03:04:49: set security/packetfilter/package/univention-base-files/tcp/37/all/en=time old:time
2015-12-21 03:04:49: set security/packetfilter/package/univention-base-files/udp/123/all=ACCEPT old:ACCEPT
2015-12-21 03:04:49: set security/packetfilter/package/univention-base-files/tcp/37/all=ACCEPT old:ACCEPT
2015-12-21 03:04:49: set security/packetfilter/package/univention-base-files/tcp/22/all=ACCEPT old:ACCEPT
2015-12-21 03:04:49: set security/packetfilter/package/univention-base-files/udp/123/all/en=ntp old:ntp
2015-12-21 03:04:53: set directory/manager/user_group/uniqueness=true old:true
2015-12-21 03:04:59: unset 'repository/online/component/drvbdq0x4g_6.6.9/localmirror' old:false
2015-12-21 03:04:59: unset 'repository/online/component/drvbdq0x4g_6.6.9/description' old:drvbdq0x4g
2015-12-21 03:04:59: unset 'repository/online/component/drvbdq0x4g_6.6.9/version' old:current
2015-12-21 03:04:59: unset 'repository/online/component/drvbdq0x4g_6.6.9' old:enabled
2015-12-21 03:04:59: unset 'repository/online/component/drvbdq0x4g_6.6.9/server' old:master090.autotest090.local
2015-12-21 03:05:05: set repository/app_center/installed='' old:[Previously undefined]
2015-12-21 03:05:05: set appcenter/installed='' old:[Previously undefined]
2015-12-21 03:05:05: set version/erratalevel=36 old:0
2015-12-21 03:05:10: set version/releasename=Vahr old:
2015-12-21 03:05:25: set uuid/license=bda7d464-e63e-4c3e-af0d-933b880b6023 old:bda7d464-e63e-4c3e-af0d-933b880b6023
2015-12-21 03:05:25: set license/base=dc=autotest090,dc=local old:dc=autotest090,dc=local
2015-12-21 03:05:56: set listener/network/protocol=all old:all
Comment 1 Stefan Gohmann univentionstaff 2015-12-21 09:22:11 CET
I've disabled the test case (r66484). Please re-enable it once the issue has been fixed.
Comment 2 Dirk Wiesenthal univentionstaff 2016-02-16 17:22:38 CET
*** Bug 40507 has been marked as a duplicate of this bug. ***
Comment 3 Dirk Wiesenthal univentionstaff 2016-02-17 14:07:30 CET
Fixed in
  univention-appcenter 5.0.20-2.113.201602161759

Test re-enabled
Comment 4 Stefan Gohmann univentionstaff 2016-02-23 07:29:46 CET
Code review: OK (univention-appcenter) + OK (ucs-test)

YAML: OK

Test cases: OK
Comment 5 Janek Walkenhorst univentionstaff 2016-02-24 13:06:48 CET
<http://errata.software-univention.de/ucs/4.1/118.html>